"use strict";
// Copyright IBM Corp. 2019. All Rights Reserved.
// Node module: @loopback/example-rpc-server
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
const controllers_1 = require("../../../controllers");
const testlab_1 = require("@loopback/testlab");
describe('greet.controller', () => {
    const controller = new controllers_1.GreetController();
    describe('basicHello', () => {
        it('returns greetings for the world without valid input', () => {
            testlab_1.expect(controller.basicHello({})).to.equal('Hello, World!');
        });
        it('returns greetings for a name', () => {
            const input = {
                name: 'Aaron',
            };
            const expected = `Hello, ${input.name}!`;
            testlab_1.expect(controller.basicHello(input)).to.equal(expected);
        });
    });
    describe('hobbyHello', () => {
        it('returns greetings for a name', () => {
            const input = {
                name: 'Aaron',
            };
            testlab_1.expect(controller.hobbyHello(input)).to.match(/Hello, Aaron!(.*)underwater basket weaving/);
        });
        it('returns greetings for a name and hobby', () => {
            const input = {
                name: 'Aaron',
                hobby: 'sportsball',
            };
            testlab_1.expect(controller.hobbyHello(input)).to.match(/Hello, Aaron!(.*)sportsball/);
        });
    });
});
//# sourceMappingURL=greet.controller.unit.js.map